<?php
		// config
		$updir = $photo_path_admin;
		$msg = "";
		$fupdir = "";
		$nimage_name = date("Y_m_d_H_i_s");
		// function
		if(is_uploaded_file($_FILES['photo']['tmp_name']))
		{ 
			$imagestest = "no";
			// config
			$photo = $_FILES['photo']['tmp_name'];
			$name  = $_FILES['photo']["name"];
			// width and height
			$imgsize = GetImageSize($photo);
			// image kb
			$imgkb = filesize($photo);
			$imgurl_size_limitkb = $imgfsize[$page_name] * 1024;
			// file ext
			$array = explode(".", $name);
			$nr    = count($array);
			$pext  = $array[$nr-1];
			$pext = strtolower($pext);
			// check image format
			if(($pext == $imgf1) || ($pext == $imgf2) || ($pext == $imgf3))
			{
				if(($imgsize[0] > $imgfw2[$page_name]) || ($imgsize[0] < $imgfw1[$page_name]) || ($imgsize[1] > $imgfh2[$page_name]) || ($imgsize[1] < $imgfh1[$page_name]) || ($imgsize[0] == "") || ($imgsize[1] == ""))  
				{
	    			$msg .= "სურათის მისაღები width და height - ".$imgfw1[$page_name]."-".$imgfw2[$page_name]."x".$imgfh1[$page_name]."-".$imgfh2[$page_name]."px.<br>";
				}
				
				if($imgkb > $imgurl_size_limitkb)  
				{
	    			$msg .="სურათის მაქსიმალური წონა - ".$imgfsize[$page_name]."Kb.<br>";
				}    			 
			}
			else
			{
	    		$msg .= "მიუღებელია სურათის ფორმატი<br>"; 
			}
			// upload image function
			if($msg == "")
			{
				// image url
				$upname = $nimage_name.".".$pext;
				$fupdir = $updir.$upname;
				// upload image two
				if(move_uploaded_file($photo, $fupdir)) 
				{
					// upload file
				}
				else
				{
					$msg .= "ასეთი სურათი არის<br>";
				}
			}
			// check error
			if($msg == "")
			{
				$imagestest = "yes";
			}
		}
?>